# Interface ReadableStreamDefaultController<R>

#### Type Parameters

- #### R = any

#### Hierarchy

- ReadableStreamDefaultController

#####
Index

### Properties

desiredSize

### Methods

close
enqueue
error

## Properties

### `Readonly` desiredSize

desiredSize: null | number

## Methods

### close

- close(): void

- #### Returns void

### enqueue

- enqueue(chunk?): void

- #### Parameters

  - ##### `Optional` chunk: R

  #### Returns void

### error

- error(e?): void

- #### Parameters

  - ##### `Optional` e: any

  #### Returns void

Generated using TypeDoc